#include  "CAN_CH2_CAN_Communication_Matrix.h"
/* 2023/02/14 13:56:15 */
st_CanMsgOp CAN_CH2_CanMsgOp;
st_CanMsgTxOp CAN_CH2_CanMsgTxOp;
#define CAN_CH2 &CAN_CH2_CanMsgOp

// const st_CAN_SendAttribute    CAN_CH2_CANSendAttr[CAN_CH2_ID_SEND_TOTAL] =
// {
// };

const st_CANMsgAttribute CAN_CH2_CAN_MSG_CONST_ARRAY[CAN_CH2_ID_TOTAL_MAX] =
{
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0xEul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x190ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
};

uint8_t  Get_CAN_CH2_ID_00E_Sig_ETAT_CONDA(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH2,CAN_CH2_ID_CAR_CDE_ADML_Msg_Count, 0u) >> 1u) & 0x07u));
}

uint16_t Get_CAN_CH2_ID_190_Sig_TEMP_SONDE_EVAPO(void)
{
    return (((uint16_t)((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH2,CAN_CH2_ID_CONF_INFO_CLIM_INT_Msg_Count, 1u) >> 0u) & 0xFFu) << 8u) + \
    ((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH2,CAN_CH2_ID_CONF_INFO_CLIM_INT_Msg_Count, 2u) >> 0u) & 0xFFu));
}
uint8_t Get_CAN_CH2_ID_190_Sig_P_TEML(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH2,CAN_CH2_ID_CONF_INFO_CLIM_INT_Msg_Count, 0u) >> 0u) & 0xFFu));
}
uint8_t Get_CAN_CH2_ID_190_Sig_P_TEMH(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH2,CAN_CH2_ID_CONF_INFO_CLIM_INT_Msg_Count, 1u) >> 0u) & 0xFFu));
}
uint8_t  Co_Can_ConvertSubID_CAN_CH2(uint32_t MsgID)
{
    uint8_t u8Result = CAN_CH2_ID_TOTAL_MAX;
    switch (MsgID)
    {
    case CAN_CH2_ID_CAR_CDE_ADML_Msg:
        u8Result = CAN_CH2_ID_CAR_CDE_ADML_Msg_Count;
        break;
    case CAN_CH2_ID_CONF_INFO_CLIM_INT_Msg:
        u8Result = CAN_CH2_ID_CONF_INFO_CLIM_INT_Msg_Count;
        break;
    default :
        u8Result = CAN_CH2_ID_TOTAL_MAX;
        break;
    }
    return u8Result;
}

